import type { IWidget } from "@/types/widgetsConfigInterface"

export const containers: IWidget[] = [
  {
    category: 'container',
    type: 'table',
    displayName: '表格',
    icon: 'Monitor',
    options: {
      name: '',
      hidden: false,
      customClass: ""
    }
  },
  {
    category: 'container',
    type: 'table-cell',
    displayName: '子单元格',
    icon: 'Monitor',
    options: {
      name: '',
      merged: false,
      hidden: false,
      colspan: 1,
      rowspan: 1,
      customClass: ""
    }
  }
]


export const basicFields: IWidget[] = [
  {
    category: 'formItem',
    type: 'el-input',
    displayName: '输入框',
    icon: 'Folder',
    options: { name: '' }
  },
  {
    category: 'formItem',
    type: 'el-input-number',
    displayName: '数值输入框',
    icon: 'Folder',
    options: { name: '' }
  },
  {
    category: 'formItem',
    type: 'el-redio',
    displayName: ' 单选项',
    icon: 'Folder',
    options: { name: '' }
  },
]
